<!DOCTYPE RuleSet SYSTEM "jar://rewriter.jar/resources/RuleSet.dtd">

<RuleSet id="exchange_2003_owa_ruleset" >
    <HTMLRules>
	<Attribute name="folder" tag="DIV"/>
	<Attribute name="deletedItems" tag="DIV"/>
	<Attribute name="buttonHTML" tag="DIV" type="DHTML"/>
	<Attribute name="folderRoot" tag="DIV"/>
	<Attribute name="checkimage" tag="IMG"/>
	<Attribute name="uncheckimage" tag="IMG"/>
	<Attribute name="action"/>
	<Attribute name="background"/>
	<Attribute name="codebase"/>
	<Attribute name="href"/>
	<Attribute name="src"/>
	<Attribute name="style"/>
	<Attribute name="value"/>
	<Attribute name="lowsrc"/>
	<Attribute name="archive"/>
	<Attribute name="imagePath"/>
	<Attribute name="viewClass"/>
	<Attribute name="emptyURL"/>
	<Attribute name="draftsURL"/>
	<Attribute name="folderURL"/>
	<Attribute name="folderUrl"/>

	<Attribute name="prevMonthImage"/>
	<Attribute name="nextMonthImage"/>
	<Attribute name="imagePrevArrow"/>
	<Attribute name="imageNextArrow"/>
	<Attribute name="t:src"/>
	<Attribute name="implementation"/>

	<Attribute name="onAbort" type="DJS"/>
	<Attribute name="onBlur" type="DJS"/>
	<Attribute name="onChange" type="DJS"/>
	<Attribute name="onClick" type="DJS"/>
	<Attribute name="onDblClick" type="DJS"/>
	<Attribute name="onError" type="DJS"/>
	<Attribute name="onFocus" type="DJS"/>
	<Attribute name="onKeyDown" type="DJS"/>
	<Attribute name="onKeyPress" type="DJS"/>
	<Attribute name="onKeyUp" type="DJS"/>
	<Attribute name="onLoad" type="DJS"/>
	<Attribute name="onMouseDown" type="DJS"/>
	<Attribute name="onMouseMove" type="DJS"/>
	<Attribute name="onMouseOut" type="DJS"/>
	<Attribute name="onMouseOver" type="DJS"/>
	<Attribute name="onMouseUp" type="DJS"/>
	<Attribute name="onReset" type="DJS"/>
	<Attribute name="onSelect" type="DJS"/>
	<Attribute name="onSubmit" type="DJS"/>
	<Attribute name="onUnload" type="DJS"/>

    </HTMLRules>

    <JSRules>
	<Variable name="idMsgViewer.viewDescriptorURL"/>
	<Variable name="theImg.src"/>
	<Variable name="oImg.src"/>
	<Variable name="objIMG.src"/>
	<Variable name="m_oGrpIMG.src"/>
	<Variable name="idTglTH.src"/>
	<Variable name="g_winDocAll.previewPane.src"/>
	<Variable name="*innerHTML" type="DHTML"/>

	<Variable name="oSnd.src"/>
	<Variable name="g_oSound.src"/>
	<Variable name="parent.viewer.location"/>
	<Variable name="initialClosed_B" type="DHTML"/>
	<Variable name="initialClosed" type="DHTML"/>
	<Variable name="szFrame" type="DHTML"/>
	<Variable name="g_szVirtualRoot"/>

	<Variable name="window*.argVal" type="EXPRESSION"/>
<Function name="top.open" paramPatterns=",," type="EXPRESSION"/>
	<Function name="window.open" paramPatterns="y" type="EXPRESSION"/>
	<Function name="document.write" paramPatterns="y" type="DHTML"/>
	<Function name="document.writeln" paramPatterns="y" type="DHTML"/>
	<Function name="*.addBehavior" paramPatterns="y" type="EXPRESSION"/>
	<Function name="*.open" paramPatterns=",y" type="EXPRESSION"/>
	<Function name="*.load" paramPatterns="y" type="EXPRESSION"/>

	<Function name="window.showModalDialog" paramPatterns="y" type="EXPRESSION"/>
	<Function name="window.showModelessDialog" paramPatterns="y" type="EXPRESSION"/>

	<Variable name="imgsrc" type="URL"/>
	<Variable name="location.href" type="URL"/>
	<Variable name="_fr.location" type="URL"/>
	<Variable name="mf.location" type="URL"/>
	<Variable name="parent.location" type="URL"/>
	<Variable name="self.location" type="URL"/>
	<Variable name="imgURL" type="EXPRESSION"/>
	<Variable name="m_objGroupIMG.src" type="EXPRESSION"/>
	<Variable name="objIMG.src" type="EXPRESSION"/>
	<Variable name="window.location" type="EXPRESSION"/>
	<Variable name="location" type="EXPRESSION"/>
	<Variable name="window.location.pathname" type="SYSTEM"/>

        <Variable name="eSpan.src" type="URL"/>
        <Variable name="g_szReminderWav" type="URL"/>
        <Variable name="m_szImagePath" type="URL"/>
        <Variable name="g_gzReminderWav" type="URL"/>
        <Variable name="g_szNewMailWav" type="URL"/>
        <Variable name="this.viewClass" type="URL"/>

	<Function name="openSavedBookmarkURL" paramPatterns="y" type="URL"/>
	<Function name="openURL" paramPatterns="y" type="URL"/>
	<Function name="openAppURL" paramPatterns="y" type="EXPRESSION"/>
	<Function name="openNewWindow" paramPatterns="y" type="URL"/>
	<Function name="parent.openNewWindow" paramPatterns="y" type="EXPRESSION"/>
	<Function name="objTree.addHierarchy" paramPatterns="y" type="EXPRESSION"/>
	<Function name="window.document.createStyleSheet" paramPatterns="y"/>

    </JSRules>

    <XMLRules>
	<TagText tag="xsl:attribute" attributePatterns="name=src" source="*/tf_Messages.xsl"/>
	<TagText tag="xsl:attribute" attributePatterns="name=src" source="*/tf_TwoLine.xsl"/>
	<TagText tag="smicon"/>
	<TagText tag="p1" source="*/*/Tasks*"/>
	<TagText tag="p1" source="*/*/public*"/>
	<TagText tag="p2" source="*/*/Sent*"/>
	<TagText tag="p2" source="*/*/Inbox*"/>
	<TagText tag="imagepath"/>
	<Attribute name="checkimage" tag="IMG"/>
	<Attribute name="uncheckimage" tag="IMG"/>
	<Attribute name="src" tag="IMG"/>
	<Attribute name="xmlns"/>
	<TagText tag="d:smallicon"/>
	<TagText tag="g:smallicon"/>
	<TagText tag="icon"/>
	<TagText tag="Icon"/>
	<TagText tag="URL"/>
	<TagText tag="d:msgfolderroot"/>
	<TagText tag="d:sendmsg"/>
	<TagText tag="d:outbox"/>
	<TagText tag="d:drafts"/>
	<TagText tag="d:contacts"/>
	<TagText tag="d:deleteditems"/>
	<TagText tag="d:sentitems"/>
	<TagText tag="d:calendar"/>
	<TagText tag="d:inbox"/>
	<TagText tag="e:smallicon"/>
	<TagText tag="davhref"/>
	<TagText tag="imagepath"/>
	<TagText tag="baseroot"/>
	<TagText tag="prop2"/>
	<TagText tag="prop1"/>
	<TagText tag="img"/>

    </XMLRules>

</RuleSet>
